Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor
Class CSSGeneral

    java.lang.Object
      multivalent.CLGeneral
          multivalent.std.adaptor.CSSGeneral

All Implemented Interfaces:
  ContextListener

public class CSSGeneral
extends CLGeneral

Adds CSS-specific attributes to CLGeneral.

Version:
  $Revision: 1.2 $ $Date: 2002/02/01 08:47:55 $

Field Summary
`java.lang.String` | `borderstyle`
`java.awt.Color` | `cborderbottom`
`java.awt.Color` | `cborderleft`
`java.awt.Color` | `cborderright`
`java.awt.Color` | `cbordertop`
`java.lang.String` | `texttransform`

Fields inherited from class multivalent.CLGeneral
`background_, borderbottom, borderleft, borderright, bordertop, dasharray_, dashphase_, display_, elide_, family_, flags_, foreground_, justify_, linecap_, linejoin_, linewidth_, marginbottom, marginleft, marginright, margintop, miterlimit_, overline_, overstrike_, paddingbottom, paddingleft, paddingright, paddingtop, priority_, signal_, size_, spaceabove_, spacebelow_, strokeColor_, texttransform_, underline_, underline2_, weight_, xdelta_, xor_, ydelta_, zoom_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`CSSGeneral()`
`CSSGeneral(int priority)`

Method Summary
`boolean` | `appearance(Context cx, boolean all)` All attributes or just inherited ones?
`void` | `copyInto(CLGeneral dest)` All attributes or just inherited ones?
`boolean` | `equals(java.lang.Object o)` Are all attributes equal to those of another CLGeneral?
`int` | `hashCode()`
`void` | `invalidate()`

Methods inherited from class multivalent.CLGeneral
`getAlign, getBackground, getDisplay, getElide, getFamily, getFlags, getFloats, getForeground, getJustify, getOverline, getOverstrike, getPriority, getSize, getSpaceAbove, getSpaceBelow, getstroke, getTextTransform, getUnderline, getUnderline2, getVAlign, getWeight, getXdelta, getXor, getYdelta, setAlign, setBackground, setBorder, setBorder, setBorder, setDisplay, setElide, setFamily, setFlags, setFloats, setFont, setForeground, setJustify, setMargins, setMargins, setMargins, setOverline, setOverstrike, setPadding, setPadding, setPadding, setPriority, setSignal, setSize, setSpaceAbove, setSpaceBelow, setStroke, setTextTransform, setUnderline, setUnderline2, setVAlign, setWeight, setXdelta, setXor, setYdelta, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cbordertop

    public java.awt.Color cbordertop

### cborderbottom

    public java.awt.Color cborderbottom

### cborderleft

    public java.awt.Color cborderleft

### cborderright

    public java.awt.Color cborderright

### borderstyle

    public java.lang.String borderstyle

### texttransform

    public java.lang.String texttransform

Constructor Detail

### CSSGeneral

    public CSSGeneral()

### CSSGeneral

    public CSSGeneral(int priority)

Method Detail

### invalidate

    public void invalidate()

  Overrides:
    `invalidate` in class `CLGeneral`

### appearance

    public boolean appearance(Context cx,
                              boolean all)

  All attributes or just inherited ones?

  Specified by:
    `appearance` in interface `ContextListener`
  Overrides:
    `appearance` in class `CLGeneral`
    `all` - all attributes or exclude those that are not inherited

### copyInto

    public void copyInto(CLGeneral dest)

  Description copied from class: `CLGeneral`
  All attributes or just inherited ones?

  Overrides:
    `copyInto` in class `CLGeneral`

### equals

    public boolean equals(java.lang.Object o)

  Description copied from class: `CLGeneral`
  Are all attributes equal to those of another CLGeneral? Can see if any fields have been set by comparing to a known-unmodified ContextSpan.

  Overrides:
    `equals` in class `CLGeneral`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `CLGeneral`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD